Subject: Re: bug#23001: emacs in X has icons missing and throws warnings in tty

From: myglc2 <[email-masked]>
Date: Mon, 04 Apr 2016 12:12:35 -0400

Chris Marusich <[email-masked]> writes:

> Hi,
>
> I'm using emacs in X on my GuixSD (version 0.10.0) laptop (not a
> headless server), and all the icons seem to be showing up correctly for
> me by default.
>
> I think the adwaita icons are provided by the package adwaita-icon-theme
> (although gnome-themes-standard also purports to supply a copy of it,
> too):
[...]
> Are either of these packages installed on your system?

Thanks, no they were not. I tried installing adwaita-icon-theme and then
gnome-themes-standard to no effect.

> Also, are your XDG environment variables set correctly?  See the
> following email thread, which seems related to your issue:
>
> https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00764.html
>
> I hope that helps,

Thanks. Don't know. I looked at ...

https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00764.html

... and I have these vars ...

env | grep XDG
XDG_SESSION_ID=114
XDG_DATA_DIRS=/gnu/store/jswsfkynf6msmsbvsh2d7hnf4wym6pm9-glib-2.46.1/share:/gnu/store/wmcakj4kvmqs5l5hzbf7iqpxy6gkxkwr-gtk+-3.18.2/share:/gnu/store/xiniqmgmyjj4k85dv07l41ay6lhwk7gp-emacs-24.5/share:/gnu/store/jswsfkynf6msmsbvsh2d7hnf4wym6pm9-glib-2.46.1/share:/gnu/store/wmcakj4kvmqs5l5hzbf7iqpxy6gkxkwr-gtk+-3.18.2/share:/gnu/store/xiniqmgmyjj4k85dv07l41ay6lhwk7gp-emacs-24.5/share
XDG_RUNTIME_DIR=/run/user/1001

... but I don't have the 'XDG_CONFIG_DIRS' var shown in that post.

BTW, since I posted the bug I switched to running Guix/Debian. The same
icons are missing and I still get similar error messages ...

Example of the messages in the tty session:
VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV
** (emacs-24-5:932): WARNING **: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files

(emacs-24-5:932): Gtk-WARNING **: Could not find the icon 'document-new'. The 'hicolor' theme
was not found either, perhaps you need to install it.
You can get a copy from:
	http://icon-theme.freedesktop.org/releases

(emacs-24-5:932): Gtk-WARNING **: Error loading theme icon 'document-new' for stock: Icon 'document-new' not present in theme Adwaita

(emacs-24-5:932): Gtk-WARNING **: Error loading theme icon 'image-missing' for stock: Icon 'image-missing' not present in theme Adwaita

(emacs-24-5:932): GLib-GObject-CRITICAL **: g_object_ref: assertion 'G_IS_OBJECT (object)' failed

(emacs-24-5:932): Gdk-CRITICAL **: gdk_cairo_surface_create_from_pixbuf: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(emacs-24-5:932): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

(emacs-24-5:932): Gtk-WARNING **: Error loading theme icon 'document-new' for stock: Icon 'document-new' not present in theme Adwaita

(emacs-24-5:932): Gtk-WARNING **: Error loading theme icon 'image-missing' for stock: Icon 'image-missing' not present in theme Adwaita
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

PS: Currently running:

bf9eacd * master origin/master origin/HEAD doc: Mention 'guix challenge' in "Features".